List Traffic Log Settings
Endpoint
GET /apiops/projects/{projectName}/apiProxies/{apiProxyName}/trafficLogSettings/
Authentication
Requires a Personal API Access Token.
Header
Authorization: Bearer YOUR_TOKEN
Request
Headers
| Header | Value | Required |
|---|---|---|
| Authorization | Bearer {token} | Yes |
Path Parameters
| Parameter | Type | Required | Description |
|---|---|---|---|
| projectName | string | Yes | Project name |
| apiProxyName | string | Yes | API Proxy name |
Response
Success Response (200 OK)
{
"status": "SUCCESS",
"resultList": [
{
"logParamRequestFromClient": true,
"logHeaderRequestFromClient": true,
"logBodyRequestFromClient": true,
"logParamRequestToTarget": true,
"logHeaderRequestToTarget": true,
"logBodyRequestToTarget": true,
"logHeaderResponseFromTarget": true,
"logBodyResponseFromTarget": true,
"logHeaderResponseToClient": true,
"logBodyResponseToClient": true,
"enableDatabaseConnector": false,
"enableElasticsearchConnector": true,
"connectorSettingsMap": {
"Production Elasticsearch": {
"enabled": true,
"logBodyRequestFromClient": true
}
},
"methodOverrideList": []
}
],
"resultCount": 1
}
Error Response (401 Unauthorized)
{
"error": "unauthorized_client",
"error_description": "Invalid token"
}
cURL Example
curl -X GET \
"https://demo.apinizer.com/apiops/projects/MyProject/apiProxies/MyAPI/trafficLogSettings/" \
-H "Authorization: Bearer YOUR_TOKEN"
Permissions
User must have API_MANAGEMENT + VIEW permission in the project.
Related Documentation
- Update Traffic Log Settings (PATCH) - Update via PATCH endpoint
- Get Traffic Log Settings by Environment - Get settings for specific environment